Bug 2027017

Summary: cannot install, because in Disk config dialog anaconda stops with "1MB 'biosboot' type partition" needed
Product: [Fedora] Fedora Reporter: ingli <tech>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 35CC: anaconda-maint-list, jonathan, kellin, vanmeeuwen+fedora, vponcova, w
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-13 15:59:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description ingli 2021-11-27 00:35:46 UTC
Description of problem:

I have been happily running fedora for years, and have upgraded recently to F35. System boots well - with a boot/efi setup (set up many years ago, always upgraded).

For a range of reasons, I need to have a fresh install :(

Now, upon trying a fresh install, Anaconda does not let me proceed.

It always stops in the disk configuration with
"Your BIOS-based system needs a special partition to boot from a GPT disk label. To continue, please create a 1MiB 'biosboot' type partition".

I perceive this pattern: when I open the Disk configuration dialogue and immediately add a 1MiB 'biosboot' type partition, it stays on the UI till I press DONE. Once I press DONE, I get the message above. When I then try to add another 1MiB 'biosboot' type partition, the earlier added partition vanishes magically from the list of partition, instead of adding another one.

The UI feedback is not helping. At least here is a useability bug. Anaconda should tell the user what is wrong. 


The most close bug report I can find seems to be  at https://bugs.centos.org/view.php?id=18187

Version-Release number of selected component (if applicable):
current anaconda installer of F35



The centos bug points to a hardware configuration that I also have: /dev/sda in my case is a SATA SSD. the first spinning drive is sdb. No idea whether that is the point.
My system has a number of hard drives.

Please let me know what more precise information you need to consider this case.

Comment 1 Ben Cotton 2022-11-29 17:24:26 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Ben Cotton 2022-12-13 15:59:57 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.